List all API keys for the authenticated user or for a specific organization
curl --request GET \
--url https://aquila.attaxr.com/api/auth/api-key/list \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aquila.attaxr.com/api/auth/api-key/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/api-key/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"apiKeys": [
{
"id": "<string>",
"userId": "<string>",
"enabled": true,
"rateLimitEnabled": true,
"requestCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"start": "<string>",
"prefix": "<string>",
"refillInterval": 123,
"refillAmount": 123,
"lastRefillAt": "2023-11-07T05:31:56Z",
"rateLimitTimeWindow": 123,
"rateLimitMax": 123,
"remaining": 123,
"lastRequest": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"metadata": {},
"permissions": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Auth
List all API keys for the authenticated user or for a specific organization
List all API keys for the authenticated user or for a specific organization
GET
/
api
/
auth
/
api-key
/
list
List all API keys for the authenticated user or for a specific organization
curl --request GET \
--url https://aquila.attaxr.com/api/auth/api-key/list \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aquila.attaxr.com/api/auth/api-key/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/api-key/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"apiKeys": [
{
"id": "<string>",
"userId": "<string>",
"enabled": true,
"rateLimitEnabled": true,
"requestCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"start": "<string>",
"prefix": "<string>",
"refillInterval": 123,
"refillAmount": 123,
"lastRefillAt": "2023-11-07T05:31:56Z",
"rateLimitTimeWindow": 123,
"rateLimitMax": 123,
"remaining": 123,
"lastRequest": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"metadata": {},
"permissions": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Personal API key sent as a bearer token.

